
Ansible - Bug #21314

Import of Ansible roles from Foreman host fails if roles_path contains multiple pathes

10/12/2017 03:30 PM - Dirk Götz

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Import of Ansible roles from Foreman host fails if roles_path contains multiple pathes which is the default with packages from Centos

7 extras repository.

So it seems Foreman only supports roles_path = /etc/ansible/roles, while Ansible supports roles_path =

/etc/ansible/roles:/usr/share/ansible/roles.

There is no error logged and it only tells the user in the frontend that there are no changes in the case of multiple pathes.

Related issues:

Is duplicate of Ansible - Bug #20884: Roles fail to read when multiple paths ... Closed 09/09/2017

History

#1 - 11/21/2017 07:01 AM - Ondřej Pražák

- Status changed from New to Duplicate

Thank you for reporting this bug, I believe we already track this as #20884, so I will close this as a duplicate. Feel free to reopen if the issue is present

in foreman_ansible 1.4.6.

#2 - 11/21/2017 07:01 AM - Ondřej Pražák

- Is duplicate of Bug #20884: Roles fail to read when multiple paths are set added
